AbstractCorrelationAggregator (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.inbound.AbstractCorrelationAggregator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.inbound
Class AbstractCorrelationAggregator

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.inbound.SelectiveConsumer
              org.mule.routing.inbound.AbstractEventAggregator
                  org.mule.routing.inbound.AbstractCorrelationAggregator

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, InboundRouter, Router

Direct Known Subclasses:
  BankQuotesInboundAggregator

    public abstract class AbstractCorrelationAggregator

extends AbstractEventAggregator

`CorrelationAggregator` uses the CorrelationID and CorrelationGroupSize properties of the `MuleMessage` to manage message groups.

Field Summary

Fields inherited from class org.mule.routing.inbound.AbstractEventAggregator
`eventCorrelator`

Fields inherited from class org.mule.routing.inbound.SelectiveConsumer
`logger`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractCorrelationAggregator()`

Method Summary
`protected abstract MuleMessage` | `aggregateEvents(EventGroup events)`
`protected EventCorrelatorCallback` | `getCorrelatorCallback()`

Methods inherited from class org.mule.routing.inbound.AbstractEventAggregator
`getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setTimeout`

Methods inherited from class org.mule.routing.inbound.SelectiveConsumer
`getFilter, getMessageInfoMapping, isMatch, isTransformFirst, setFilter, setMessageInfoMapping, setTransformFirst`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### AbstractCorrelationAggregator

    public AbstractCorrelationAggregator()

Method Detail

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback()

  Specified by:
    `getCorrelatorCallback` in class `AbstractEventAggregator`

### aggregateEvents

    protected abstract MuleMessage aggregateEvents(EventGroup events)
                                            throws AggregationException

  Throws:
    `AggregationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.